Summary: a set of symbols and convience functions that all indicators would like to use
Name: libindicator
Version: 12.10.1
Release: 1%{?_dist_release}
License: GPLv3
Group: System Environment/Libraries
URL: https://launchpad.net/libindicator
Source0: %{name}-%{version}.tar.gz
Patch0: libindicator-12.10.1-deprecated.patch
Patch1: libindicator-12.10.1-LIBM.patch
Patch2: libindicator-12.10.1-test.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gtk3-devel >= 2.91
BuildRequires: glib2-devel >= 2.22

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
A set of symbols and convience functions that all indicators would like to use. Not of real use outside of the Ayatana indicators project.

%package devel
Summary: Header files and libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1

%build
%configure --enable-static=no
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%__rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

#%check
#make check

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog NEWS
%{_libdir}/libdummy*.so
%{_libdir}/*.so.*
%{_libexecdir}/indicator-loader3
%{_datadir}/%{name}/80indicator-debugging

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/indicator3-0.4.pc
%{_includedir}/%{name}3-0.4
%{_libdir}/libindicator3.so

%changelog
* Sat May 19 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 12.10.1-1
- Initial build.
